package it.integry.integrywmsnative.gest.prod_rientro_merce.order_detail;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.JtbFasi;
import it.integry.integrywmsnative.core.model.MtbTCol;

public class ProdRientroMerceOrderDetailPickedQuantityDTO {

    private BigDecimal numCnf;
    private BigDecimal pesoCollo;
    private BigDecimal pesoNetto;
    private BigDecimal taraPed;
    private BigDecimal taraCol;
    private BigDecimal pesoLordo;

    private MtbTCol mtbTCol;
    private JtbFasi jtbFasi;

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public BigDecimal getPesoCollo() {
        return pesoCollo;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setPesoCollo(BigDecimal pesoCollo) {
        this.pesoCollo = pesoCollo;
        return this;
    }

    public BigDecimal getPesoNetto() {
        return pesoNetto;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setPesoNetto(BigDecimal pesoNetto) {
        this.pesoNetto = pesoNetto;
        return this;
    }

    public BigDecimal getTaraPed() {
        return taraPed;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setTaraPed(BigDecimal taraPed) {
        this.taraPed = taraPed;
        return this;
    }

    public BigDecimal getTaraCol() {
        return taraCol;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setTaraCol(BigDecimal taraCol) {
        this.taraCol = taraCol;
        return this;
    }

    public BigDecimal getPesoLordo() {
        return pesoLordo;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setPesoLordo(BigDecimal pesoLordo) {
        this.pesoLordo = pesoLordo;
        return this;
    }

    public MtbTCol getMtbTCol() {
        return mtbTCol;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setMtbTCol(MtbTCol mtbTCol) {
        this.mtbTCol = mtbTCol;
        return this;
    }

    public JtbFasi getJtbFasi() {
        return jtbFasi;
    }

    public ProdRientroMerceOrderDetailPickedQuantityDTO setJtbFasi(JtbFasi jtbFasi) {
        this.jtbFasi = jtbFasi;
        return this;
    }
}
